package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.IpsrsMaintenance;
import com.jasamedika.medifirst2000.entities.IpsrsTeknisiPemeliharaan;
import com.jasamedika.medifirst2000.helper.Caption;

public class IpsrsPemeliharaanVO extends BaseTransactionVO{
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Ipsrs Maintenance")
	private IpsrsMaintenanceVO ipsrsMaintenance;
	
	@Caption(value = "Jadwal Pemeliharaan")
	private Date jadwalPemeliharaan;

	@Caption(value = "Alert Pemeliharaan")
	private Date alertPemeliharaan;
	
	@Caption(value = "Status Pemeliharaan")
	private String statusPemeliharaan;

	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "ipsrsPemeliharaan")
	private Set<IpsrsTeknisiPemeliharaanVO> ipsrsTeknisiPemeliharaan = new HashSet<>();

	public IpsrsMaintenanceVO getIpsrsMaintenance() {
		return ipsrsMaintenance;
	}

	public void setIpsrsMaintenance(IpsrsMaintenanceVO ipsrsMaintenance) {
		this.ipsrsMaintenance = ipsrsMaintenance;
	}

	public Date getJadwalPemeliharaan() {
		return jadwalPemeliharaan;
	}

	public void setJadwalPemeliharaan(Date jadwalPemeliharaan) {
		this.jadwalPemeliharaan = jadwalPemeliharaan;
	}

	public Date getAlertPemeliharaan() {
		return alertPemeliharaan;
	}

	public void setAlertPemeliharaan(Date alertPemeliharaan) {
		this.alertPemeliharaan = alertPemeliharaan;
	}

	public String getStatusPemeliharaan() {
		return statusPemeliharaan;
	}

	public void setStatusPemeliharaan(String statusPemeliharaan) {
		this.statusPemeliharaan = statusPemeliharaan;
	}

	public Set<IpsrsTeknisiPemeliharaanVO> getIpsrsTeknisiPemeliharaan() {
		return ipsrsTeknisiPemeliharaan;
	}

	public void setIpsrsTeknisiPemeliharaan(Set<IpsrsTeknisiPemeliharaanVO> ipsrsTeknisiPemeliharaan) {
		this.ipsrsTeknisiPemeliharaan = ipsrsTeknisiPemeliharaan;
	}
}
